Skip to main content
GET
/
v3
/
applications
/
{application_id}
/
metrics
Get Application Metrics Metadata
curl --request GET \
  --url https://{host}/v3/applications/{application_id}/metrics \
  --header 'Authorization: Bearer <token>'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "application": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "project": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "organization": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "aggregations": [
      {
        "id": "<string>",
        "name": "<string>"
      }
    ],
    "metrics": [
      {
        "id": "<string>",
        "name": "<string>",
        "value": "<string>",
        "fields": [
          {
            "id": "<string>",
            "name": "<string>",
            "depends_on": [
              "<string>"
            ],
            "values": [
              {
                "id": "<string>",
                "name": "<string>",
                "value": "<string>"
              }
            ]
          }
        ]
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

application_id
string<uuid>
required

Path parameter for unique identifier of an application

Query Parameters

source
enum<string>
default:GENAI_CHARTS

Source context for metric requests. Determines which metrics are returned:

  • GENAI_CHARTS (default): Full superset of metrics (Traffic, Token Count, Attribute, Latency, Evaluator)
  • GENAI_ALERTS: Metrics supported by the alerting engine (Traffic, Token Count, Attribute, Latency)
Available options:
GENAI_CHARTS,
GENAI_ALERTS

Response

Metrics metadata retrieved successfully

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object

Metadata about available metrics, aggregations, and configurations for an application